## ros-indigo-iai-kinematics-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(iai_kinematics_msgs)

find_package (catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs std_msgs message_generation)

add_message_files(
  FILES
  ErrorCodes.msg
  JointLimits.msg
  KDLWeights.msg
  KinematicSolverInfo.msg
  MultiDOFJointState.msg
  PositionIKRequest.msg
  RobotState.msg)

add_service_files(
  FILES
  GetKinematicSolverInfo.srv
  GetPositionFK.srv
  GetPositionIK.srv
  GetWeightedIK.srv)

generate_messages(
  DEPENDENCIES
  geometry_msgs
  sensor_msgs
  std_msgs)

catkin_package(
  CATKIN_DEPENDS geometry_msgs sensor_msgs std_msgs message_runtime)

=== debian/changelog ===
ros-indigo-iai-kinematics-msgs (0.0.5-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-iai-kinematics-msgs (0.0.4-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-iai-kinematics-msgs (0.0.3-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-iai-kinematics-msgs (0.0.1-3trusty) trusty; urgency=high

  * Corrected versions
  * Corrected some information in package.xml and CMakeLists.txt as reported by catkin_lint
  * Added now-deprecated messages from arm_navigation_msgs and kinematics_msgs which are needed for kdl_arm_navigation.
  * Contributors: Georg Bartels, Jan Winkler

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Thu, 15 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-iai-kinematics-msgs
Section: misc
Priority: extra
Maintainer: Georg Bartels <georg.bartels@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-iai-kinematics-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Ensemble of messages to communicate/request kinematics-related issues. NOTE/DISCLAIMER: A lot of these messages have been salvaged from now deprecated packages arm_navigation_msgs and kinematics_msgs. We acknowledge original authorship of these messages to all involved people (I, Georg, do not know them by name).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-iai-kinematics-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
